@font-face {
  font-family: "BIZ UDPGothic";
  src: url("/fonts/BIZUDPGothic-Regular.ttf") format("truetype");
}

@font-face {
  font-family: "BIZ UDPMincho";
  src: url("/fonts/BIZUDPMincho-Regular.ttf") format("truetype");
}

header {
  z-index: 1;
  position: relative;
  width: -webkit-fill-available;
  background-color: var(--background-color);
  margin-right: 1em;
}

.article__content {
  position: absolute;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  writing-mode: vertical-rl;
  height: 100%;
  margin: auto;
  padding: 8rem 15rem;
  overflow-x: auto;
  letter-spacing: 0.1em;
  word-break: break-word;
  font-family: "BIZ UDPMincho", serif;

  @media (min-width: 768px) and (max-width: 1023px) {
    padding: 8rem 10rem;
  }

  @media (min-width: 481px) and (max-width: 767px) {
    padding: 8rem 5rem;
  }

  @media (max-width: 480px) {
    padding: 8rem calc(2rem + env(safe-area-inset-bottom));
  }

  time {
    font-family: Arial, Helvetica, sans-serif;
  }

  h2 {
    margin: 0 1em;
    text-indent: 4rem;
    font-size: 1.1em;
    font-weight: normal;
  }

  p {
    text-indent: 1em;
    margin-right: 1em;
  }

  img {
    max-width: 180px;
    float: left;
    margin-bottom: 1em;
  }

  hr {
    position: relative;
    margin: auto 3rem;
    border: 0;
    overflow: visible;
    display: flex;
    white-space: nowrap;

    &::before {
      content: "***";
      position: absolute;
      top: 0;
      bottom: 0;
      left: 0;
      width: 15px;
      height: 55px;
      color: var(--foreground-color);
      right: 0;
      margin: auto;
      letter-spacing: 15px;
      line-height: 15px;
      text-align: center;
      font-size: 15px;
    }
  }

  table {
    border: 1px solid;
    border-collapse: collapse;
    word-break: normal;
    margin: 1rem 2rem;
  }

  th,
  td {
    padding: 0.5em;
    border: 1px solid;
    text-align: left;
  }
}

.article__title {
  padding-left: 1em;
  letter-spacing: 0.1em;
  font-family: "BIZ UDPGothic", sans-serif;
  font-weight: normal;
}

.article__tags {
  z-index: 1;
  position: fixed;
  bottom: 0;
  width: -webkit-fill-available;
  max-height: 7em;
  background-color: var(--background-color);
  font-family: Arial, Helvetica, sans-serif;

  h3 {
    z-index: 1;
    position: relative;
    border-top: 1px solid var(--foreground-color);
    margin: 0 3cqw;
    padding: 1em 0 0.5em;
    font-size: 1em;
  }

  ul {
    z-index: 2;
    position: relative;
    display: flex;
    flex-wrap: nowrap;
    justify-content: flex-start;
    list-style-type: none;
    list-style-position: inside;
    column-gap: 2em;
    row-gap: 1em;
    padding-bottom: 1.5em;
    padding-right: 1em;
    padding-top: 1.5em;
    margin-top: -2em;
    white-space: nowrap;
    overflow: auto;
  }
}

.octicon-link svg {
  fill: var(--foreground-color);
}
